org.eclnt.util.chart.util

## Class JFreeChartRenderer

- java.lang.Object
- - org.eclnt.util.chart.util.JFreeChartRenderer

- All Implemented Interfaces:
    IChartConstants

      public class JFreeChartRenderer
      extends java.lang.Object
      implements IChartConstants

- - ### Field Summary

    - ### Fields inherited from interface org.eclnt.util.chart.IChartConstants

      `LT_AREA, LT_BAR, LT_BAR3D, LT_BARCYLINDER, LT_LAYEREDBAR, LT_LINE, LT_LINE3D, LT_POINT, LT_SPLINE, LT_STACKEDAREA, LT_STACKEDBAR, LT_STEP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JFreeChartRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JFreeChart` | `createCategoryFreeChart(java.lang.String title, java.lang.String categoryAxisLabel, java.lang.String valueAxisLabel, CategoryDataset dataset, PlotOrientation orientation, boolean legend, boolean tooltips, boolean urls, java.lang.String lineType)`
    `java.util.List<java.util.List<LegendItem>>` | `getLegends()`
    `CCChartPanel` | `renderChart(ChartInfo chartInfo)`
    `byte[]` | `renderPNGImage(int width, int height)`
    `byte[]` | `renderPNGImage(int width, int height, java.lang.Double lowerX, java.lang.Double upperX)`
    `byte[]` | `renderPNGImageChartOnly(int width, int height)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JFreeChartRenderer

          public JFreeChartRenderer()

  - ### Method Detail

    - #### getLegends

          public java.util.List<java.util.List<LegendItem>> getLegends()

    - #### renderChart

          public CCChartPanel renderChart(ChartInfo chartInfo)

    - #### createCategoryFreeChart

          public JFreeChart createCategoryFreeChart(java.lang.String title,
                                                    java.lang.String categoryAxisLabel,
                                                    java.lang.String valueAxisLabel,
                                                    CategoryDataset dataset,
                                                    PlotOrientation orientation,
                                                    boolean legend,
                                                    boolean tooltips,
                                                    boolean urls,
                                                    java.lang.String lineType)

    - #### renderPNGImage

          public byte[] renderPNGImage(int width,
                                       int height)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### renderPNGImage

          public byte[] renderPNGImage(int width,
                                       int height,
                                       java.lang.Double lowerX,
                                       java.lang.Double upperX)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### renderPNGImageChartOnly

          public byte[] renderPNGImageChartOnly(int width,
                                                int height)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.